#!/bin/sh
set -x
set -e
trap 'if [ $? != 0 ]; then echo "ERROR!!!"; fi' EXIT
KOMETA_XDG_TESTING=1
KOMETA_XDG_DIR=/etc/xdg/kometa
export PATH="$PWD:$PATH"
. ./kometa-xdg-env
[ "$(_mk_xdg_config_dirs /etc/xdg)" = $KOMETA_XDG_DIR:/etc/xdg ]
[ "$(_mk_xdg_config_dirs /etc/foo)" = /etc/foo:$KOMETA_XDG_DIR:/etc/xdg ]
[ "$(_mk_xdg_config_dirs /etc/foo:/etc/xdg)" = /etc/foo:$KOMETA_XDG_DIR:/etc/xdg ]
[ "$(_mk_xdg_config_dirs /etc/foo:$KOMETA_XDG_DIR:/etc/kf5/xdg:/etc/xdg)" = /etc/foo:$KOMETA_XDG_DIR:/etc/kf5/xdg:/etc/xdg ]
[ "$(_mk_xdg_config_dirs /home/user/.config/kdedefaults:/etc/kf5/xdg:/etc/xdg)" = /home/user/.config/kdedefaults:$KOMETA_XDG_DIR:/etc/kf5/xdg:/etc/xdg ]
# https://bugzilla.altlinux.org/show_bug.cgi?id=41566
[ "$(_mk_xdg_config_dirs "")" = $KOMETA_XDG_DIR:/etc/kf5/xdg:/etc/xdg ]
